1. NewD's Avatar
    locksceen working, will see if respring is gone, but can't get it to show on springbord, nothing happens when activated and have nothing else on springbord
    Read the instructions very carefully. I've accounted for every variable. My guess is you skipped the part about making two copies of the rc10 folder. Or About how you need to have a file called Wallpaper.html in the folder as well or you forgot to switch it on in Groovyboard+ in settings. If you skipped some step in there and that's why it's not working. Read slowly and carefully. It will work. 😃
    2014-12-26 10:57 PM
  2. incubus26jc's Avatar
    driving me nuts all day!! I want this to work so badly. Can't get it to read myLocation.txt. I have uninstalled everything old including the old groovyapi. Everything is the new stuff and settings are right. Even tried using widget weather and entering lat and long manually
    Last edited by incubus26jc; 2014-12-26 at 11:19 PM.
    2014-12-26 11:10 PM
  3. NewD's Avatar
    driving me nuts all day!! I want this to work so badly. Can't get it to read myLocation.txt. I have uninstalled everything old including the old groovyapi. Everything is the new stuff and settings are right.
    It's not designed to read the mylocation.txt file. You have to have WidgetWeather installed and you have to have UniAW7rc10_groovylock set to "widgetweather" in the config.js.
    2014-12-26 11:13 PM
  4. incubus26jc's Avatar
    tried that method as well but maybe i was using wrong widgetweather version. i tried 2.0-0b26
    EDIT: uninstalled the old MyLocation app. Re installed the widgetweather 2 beta and edited the config.js to be set on widgetweather. Turned it on "gps" in the widgetweather settings and turned on my location. Still nothing but a clock on my LS and SB. Sorry for being so dumb with all this guys.

    Edit: This is very weird. So After doing some reading about how the older groovylock widgets wouldnt work with the newer debs and api due to not being able to read from documents etc... I realized I have the opposite problem. My problem is All of the older groovylock widgets work and read from documents but its the UniAW7rc10_groovylock that isnt reading from documents. Even though I am using only the newest groovyapi+, groovylock+ and groovyboard+? I have to be doing something stupid haha
    Last edited by incubus26jc; 2014-12-27 at 12:47 AM.
    2014-12-26 11:18 PM
  5. iamevl's Avatar
    tried that method as well but maybe i was using wrong widgetweather version. i tried 2.0-0b26
    EDIT: uninstalled the old MyLocation app. Re installed the widgetweather 2 beta and edited the config.js to be set on widgetweather. Turned it on "gps" in the widgetweather settings and turned on my location. Still nothing but a clock on my LS and SB. Sorry for being so dumb with all this guys.

    Edit: This is very weird. So After doing some reading about how the older groovylock widgets wouldnt work with the newer debs and api due to not being able to read from documents etc... I realized I have the opposite problem. My problem is All of the older groovylock widgets work and read from documents but its the UniAW7rc10_groovylock that isnt reading from documents. Even though I am using only the newest groovyapi+, groovylock+ and groovyboard+? I have to be doing something stupid haha
    Have you made sure var/mobile/documents permissions are set to read write execute?
    http://modmyi.com/image.php?type=sigpic&userid=3585142&dateline=1347  707776
    2014-12-27 01:45 AM
  6. incubus26jc's Avatar
    yes i have. thanks though
    2014-12-27 02:46 AM
  7. Mike2130's Avatar
    Read the instructions very carefully. I've accounted for every variable. My guess is you skipped the part about making two copies of the rc10 folder. Or About how you need to have a file called Wallpaper.html in the folder as well or you forgot to switch it on in Groovyboard+ in settings. If you skipped some step in there and that's why it's not working. Read slowly and carefully. It will work. 😃
    Hey News, will this work with Orangefreddie's BTTF or thewaytozion's versions of uniAW or just the normal version from Dacal and Ian?
    2014-12-27 02:53 AM
  8. NewD's Avatar
    Hey NewD, will this work with Orangefreddie's BTTF or thewaytozion's versions of uniAW or just the normal version from Dacal and Ian?
    As I said in my tutorial post, in CAPITAL LETTERS, GL+/GB+ will only work with "1" LS/SB widget at the current time: UniAW7rc10_Groovylock by Dacal/Ian modded by GroovyCarrot.
    2014-12-27 02:55 AM
  9. Mike2130's Avatar
    As I said in my tutorial post, in CAPITAL LETTERS, GL+/GB+ will only work with "1" LS/SB widget at the current time: UniAW7rc10_Groovylock by Dacal/Ian modded by GroovyCarrot.
    Well if it stops the resprings it's definitely worth it. Thx for info News.
    2014-12-27 03:29 AM
  10. kaatisu84's Avatar
    No resprings!!! Awesome, but noticing a little lag on springboard, maybe I've got too many tweaks, might do myself a fresh install and jailbreak.
    2014-12-27 03:37 AM
  11. NewD's Avatar
    No resprings!!! Awesome, but noticing a little lag on springboard, maybe I've got too many tweaks, might do myself a fresh install and jailbreak.
    What kind of lag? I experience no lag. I do experience a fade in of UniAW every time I return to the SB. But that's normal.
    2014-12-27 04:31 AM
  12. intramorph's Avatar
    IS it possible to run the new groovy lock without the new SBHTML..? Or it has to be both..?
    Also iS the notification blur fixed in the new groovyLock as well..? Or just the respringing issue..?
    Last edited by intramorph; 2014-12-27 at 04:42 AM.
    2014-12-27 04:36 AM
  13. NewD's Avatar
    IS it possible to run the new groovy lock without the new SBHTML..? Or it has to be both..?
    Though you do NOT have to run the new SBHTML (called: GroovyBoard+) you can NOT run the old SBHTML and GroovyLock+ at the same time.. When you install groovyAPI+ which is needed to run the new GroovyLock+ it will require the absence of the old grooyAPI.. When you go into Cydia and clik on EXPERT mode and find groovyAPI(old) and uninstall it - it will auto un-install SBTHML. So it's sort of an all or nothing change.
    Also is the notification blur fixed in the new groovyLock as well..? Or just the respringing issue..?
    I don't believe there was ever a notification blur built into GroovyLock. That's a feature of Convergence. So basically new tweak, in its alpha stages, is for stability enhancements (minimizing to elimination of resprings).
    2014-12-27 05:15 AM
  14. King_O_Hill's Avatar
    Just so that everyone is clear, these are new tweaks. So there isn't anything that got fixed, as they have been written from scratch. We are also not looking for enhancement requests either at this time. All we want are bug reports and possible tweak code suggestions from any dev that may have an understanding of the code. Thank you!
    Last edited by King_O_Hill; 2014-12-27 at 05:26 AM.

    Check out WW3 for iOS 9/10 - Widget-Weather 3.0
    2014-12-27 05:24 AM
  15. NewD's Avatar
    King is absolutely right in everything he just said. Please follow his lead. He's WAAAAY more experienced than I am in any of this.....

    But I'll offer what I can.

    For you fellow intermediate coders - like myself.... Jake is so brilliant and often speaks in 'developer speak' which though completely accurate doesn't always give us enough details or exact examples broken down for us to 'chew on'...

    If you want to attempt to do some converting let me give you a few tips... that I've discovered with the help of looking at Dacal, Ian and Jake's coding in the new UniAW7rc10_Groovylock and with insights gleaned from my superb sounding boards, Chevy and King_O_Hill....

    First -- do NOT attempt to mess with any mods based on the 02_WidgetWeather_Base. It's pretty complex and Dacal and Chevy and Eric and Simon are the experts there - and in time they might come up with a prototype for us.

    But several other mods are based on UniAW7_rc9 and 10.. in their design. They can be more 'easily' converted.. And I use that word 'easily' a little too freely... None of this is easy... the main thing to remember is that only widgets that are CURRENTLY CODED to read the new WidgetWeather2's xml file are even candidates for being converted. Older WW1, UniAW6 or Locale/WOEID-based widgets by Mone, Oldster and Schnedi and even the Lockscreen conversions to GroovyLock by June'siPhone's LockBuilder aren't candidates for use any time soon with this new method..

    Okay... so when working with a newer UniAW7-based widget (Dacal's code) that uses WW2 widgetweather.xml files... You look for 3 areas of code in the main.js files...

    STEP 1A---
    The first area of the code that needs to be updated is the 'parsing' area, where objects are established.. You need to replace these lines in 'function updateWeather ()':
    Code:
    jQuery.get('file:///private/var/mobile/Documents/widgetweather.xml', function(data) {
        $(data).find('currentcondition').each( function() {
            obj.updatetimestring =$(this).find('updatetimestring').text();        
            obj.temp =$(this).find('temp').text();
            obj.chill =$(this).find('chill').text();
            //-----however many more data objects are in your mod here----
    ..with these lines in the same 'function updateWeather ()' area - note the 'JQuery' and '$(data).find' lines are gone:
    Code:
        obj.updatetimestring = data.xml.currentcondition.updatetimestring.value;
        obj.temp = data.xml.currentcondition.temp.value;
        obj.chill = data.xml.currentcondition.chill.value;
        //-----however many more data objects you need for your mod here----
    STEP 1B---
    Then replace:
    Code:
    function updateWeather();
    ..with..:
    Code:
    function updateWeather(data);
    STEP 2---
    Add a new function with the call to GroovyAPI right above the 'function init()' line..
    Code:
    function getWeatherData () {
    // Tell GL+ to pass the xml data into the updateWeather function:
    if (XML_TEST == false) {
    groovyAPI.do("getWidgetWeather", "updateWeather");
    } else {
    $.getJSON("json.txt", function(data) {
    updateWeather(data);
    });
    }
    }

    STEP 3---
    In this final step you'll need to call for Step 2's new function, 'getWeatherData()', in the area where you see the weather source switch. So change this:
    Code:
    switch(WeatherSource) {
        case "widgetweather":
        updateWeather();
        break;
    to this:
    Code:
    switch(WeatherSource) {
        case "widgetweather":
        getWeatherData();
        break;
    As with all coding updates.. there's some trial and error.... But what Dacal referred to as 'easy conversions' (for him LOL!) are what I've outlined above. Good luck, Intermediate coders!
    Last edited by NewD; 2014-12-28 at 07:27 AM.
    2014-12-27 05:30 AM
  16. metaserph's Avatar
    Everyone else that wants to run UniAW and other widgets NOT USING GroovyLock+ or GroovyBoard+ need to go to a different thread, using LockHTML4 or the older versions of Groovy. Would it be better to open a new thread specifically for Groovy+ progress and development? Maybe this way those still looking for support on the "regular" widgets can still be helped without impeding or interrupting the focused progress these new Groovy+ methods demand. Those of us who've "been around the block" know the drill, but we still have many who, like us at one time, want to get their mods working without attending "Space Cadet Academy". Just a suggestion.
    @Metaserph
    "You can only attain Peace through spreading Love to create Unity and earn the Respect of others" - Complex Simplicity
    2014-12-27 05:47 AM
  17. NewD's Avatar
    Everyone else that wants to run UniAW and other widgets NOT USING GroovyLock+ or GroovyBoard+ need to go to a different thread, using LockHTML4 or the older versions of Groovy. Would it be better to open a new thread specifically for Groovy+ progress and development? Maybe this way those still looking for support on the "regular" widgets can still be helped without impeding or interrupting the focused progress these new Groovy+ methods demand. Those of us who've "been around the block" know the drill, but we still have many who, like us at one time, want to get their mods working without attending "Space Cadet Academy". Just a suggestion.
    I hear ya, bro. I think multiple discussions can co-exists here.. Just specify in your question if you're wanting support for GL or GL+. Easy - no?
    2014-12-27 06:18 AM
  18. metaserph's Avatar
    Perhaps you're right Grant, and I follow. Hopefully others get it too. By the way, nice explanation on the "conversion process" for newer UniAW bro. I myself am tinkering with some stuff I want to try, but I'd rather follow "the masters of code". Happy Holidays
    @Metaserph
    "You can only attain Peace through spreading Love to create Unity and earn the Respect of others" - Complex Simplicity
    2014-12-27 06:24 AM
  19. intramorph's Avatar
    Though you do NOT have to run the new SBHTML (called: GroovyBoard+) you can NOT run the old SBHTML and GroovyLock+ at the same time.. When you install groovyAPI+ which is needed to run the new GroovyLock+ it will require the absence of the old grooyAPI.. When you go into Cydia and clik on EXPERT mode and find groovyAPI(old) and uninstall it - it will auto un-install SBTHML. So it's sort of an all or nothing change.
    I don't believe there was ever a notification blur built into GroovyLock. That's a feature of Convergence. So basically new tweak, in its alpha stages, is for stability enhancements (minimizing to elimination of resprings).
    What I'm talking about is the fact that GroovyLock like all other lock screen players ( except Cydget ) removes the blur that comes with notifications on the lock screen. Thereby making them virtually unreadable or very hard to read. Not sure who but someone had mentioned that you guys were aware of this issue, and it would eventually be addressed. So I was just asking if it was addressed in this new version of GroovyLock.
    2014-12-27 06:29 AM
  20. NewD's Avatar
    What I'm talking about is the fact that GroovyLock like all other lock screen players ( except Cydget ) removes the blur that comes with notifications on the lock screen. Thereby making them virtually unreadable or very hard to read. Not sure who but someone had mentioned that you guys were aware of this issue, and it would eventually be addressed. So I was just asking if it was addressed in this new version of GroovyLock.
    Ah yes.. GroovyLock I don't ever remember having had the blur built in as it was always hard for me to see my notifications in GL original version too.. BUT I could be wrong. If you're telling me the orig version of GL, on Cydia still, does have notification blur - then, yes, GL+ has broken that feature.. Jake will have to speak into that.. Thanks for the clarification of your question..
    Perhaps you're right Grant, and I follow. Hopefully others get it too. By the way, nice explanation on the "conversion process" for newer UniAW bro. I myself am tinkering with some stuff I want to try, but I'd rather follow "the masters of code". Happy Holidays
    To you to, bro. Miss you 'round these parts.. Yes, I sit at the feet of the masters now too. But I have learned so much.. and I'm just trying to give a little back to the community now if I can..
    2014-12-27 06:34 AM
LINK TO POST COPIED TO CLIPBOARD